API ReferenceBridge
Update task status
Update the status of a task. Set to 'completed' or 'failed' with error details.
Authorization
ApiKeyAuth Authorization<token>
API key authentication. Format: Api-Key <your_api_key>
In: header
Path Parameters
app_external_uuid*string
Format
uuidtask_id*string
Format
uuidstatus*string
Value in
"completed" | "failed"result?|
Default
nullerror?|
Default
nullResponse Body
application/json
application/json
application/json
application/json
curl -X PATCH "https://developer.idenhq.com/org/{tenant_slug}/api/v1/bridge/apps/497f6eca-6276-4993-bfeb-53cbbbba6f08/tasks/497f6eca-6276-4993-bfeb-53cbbbba6f08/status/" \ -H "Content-Type: application/json" \ -d '{ "status": "completed" }'{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"action": "string",
"resource_type": "string",
"status": "string",
"execute_after": "2019-08-24T14:15:22Z",
"created_at": "2019-08-24T14:15:22Z",
"payload": {
"account": null,
"memberships": null,
"changes": null
}
}{
"detail": "string"
}{
"detail": "string"
}{
"detail": "string"
}